Bug 205073 - Review Request: MudMagic Mud Client - Onlnie Text Game Client
Summary: Review Request: MudMagic Mud Client - Onlnie Text Game Client
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul F. Johnson
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-09-03 18:37 UTC by Kyndig
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-10 18:59:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kyndig 2006-09-03 18:37:02 UTC
Spec URL: http://www.mudmagic.com/mud-client/downloads/mudmagic.spec
SRPM URL: http://www.mudmagic.com/mud-client/downloads/mudmagic-1.9-fdr.src.rpm
Description: Gtk program for connecting to online text games ( Muds ).
This is my first package and I am seeking a sponsor.

Comment 1 Paul F. Johnson 2006-09-03 18:53:24 UTC
Have you submitted a package before? If not, you'll need to get a sponsor

http://fedoraproject.org/wiki/Extras/HowToGetSponsored

gives you the details. You will need to add FE-NEEDSPONSOR to the FE-blocks below.

The spec isn't bad, but you need to replace

Release:	fdr

with 

Release: 1%{?dist}

%{_libdir}/pkgconfig/mudmagic.pc has to be in it's own package (so you'll need a
-devel subpackage)



Comment 2 Paul F. Johnson 2006-09-03 19:17:05 UTC
rpmlint output
srpm
W: mudmagic strange-permission mudmagic.spec 0600
W: mudmagic mixed-use-of-spaces-and-tabs (ignorable)

rpm
W: incoherent-version-in-changelog 1.8 1.9-fdr (see #1 dist flag)
W: devel-file-in-non-devel-package /usr/lib/libmudmagic.so
W: devel-file-in-non-devel-package /usr/lib/pkgconfig/mudmagic.pc

built cleanly in mock (i386).

Fix the above problems (and the ones in #1), let me know if you have a sponsor
and I'll do the full review on this package.

Comment 3 Kyndig 2006-09-03 21:16:45 UTC
Thank you Paul for the comments. I do not have a sponsor.

> Release:	fdr
> with 
> Release: 1%{?dist}
I performed this update, which changes the file download location mentioned in
the initial bugzilla entry. The new file location is:
SRPM URL: http://www.mudmagic.com/mud-client/downloads/mudmagic-1.9-1.src.rpm

> %{_libdir}/pkgconfig/mudmagic.pc
excluded

> mudmagic mixed-use-of-spaces-and-tabs (ignorable)
fixed

> incoherent-version-in-changelog 1.8 1.9-fdr (see #1 dist flag)
fixed

> W: devel-file-in-non-devel-package /usr/lib/libmudmagic.so
> W: devel-file-in-non-devel-package /usr/lib/pkgconfig/mudmagic.pc
excluded

> W: mudmagic strange-permission mudmagic.spec 0600
This error with permission was created because I created the rpm files from
tar-ball. I performed the additional steps by building directly off the spec
file in /usr/src/redhat/SPECS, and it fixed this error [ no updates were needed
to remove this error ]

Thank you,
Calvin

Comment 4 Paul F. Johnson 2006-09-03 21:31:44 UTC
Don't exclude the .so or .pc file, just create a -devel package (below goes into
the spec file - package and description after the description of the main
package, files after the normal files bit)

%package devel
Summary : Development files for MudMagic
Group: Development/Libraries
Requires: %{name} = %{version}-%{release} pkgconfig

%description devel
Development files for MudMagic

....

%files devel
%{_libdir}/libmudmagic.so
%{_libdir}/pkgconfig/mudmagic.pc

On the subject of sponsorship, you need to submit a couple more packages than
this so that sponsors are happy that they know you're au fait with the packaging
guidelines.

Comment 5 Paul F. Johnson 2006-09-03 21:32:20 UTC
Forgot to say, changing the mode on the specfile

chmod 644 rpmbuild/SPECS/mudmagic.spec

:-)

Comment 6 Kyndig 2006-09-03 22:30:39 UTC
> Don't exclude the .so or .pc file, just create a -devel package

Thank you, I went off your example and some other OpenSource spec.in files. The
src.rpm and mudmagic.spec rpm have been updated, and changes committed to CVS.

> On the subject of sponsorship, you need to submit a couple more packages than
> this so that sponsors are happy that they know you're au fait with the packaging
> guidelines.
Ah. Thank you. I was wondering why it was taking 2+ years to get this software
project in Fedora. It is currently supported by Debian, and a few other
non-popular Linux distro's. Each of those distro's had their own sponsor working
to get this program submitted though. This is the only software program I have
any time to work on. I don't have any plans in developing additional software or
package releases than what this software requires (but if that's the _only_ way
to add it to FC, I just might eventually do that! )

I will look for a submitter to handle the FC distribution ( anyone available?! =)




Comment 7 Paul F. Johnson 2006-09-10 15:23:35 UTC
The bug needs to be reassigned and someone else takes it on. If you send an
email to the fedora-extras mailing list, point them at this bug number and say
that most of the hard work has been done, I'm pretty sure someone will take it up.

If someone does take it up, reassign the bug to them.

Comment 8 Jason Tibbitts 2006-09-14 14:48:03 UTC
Why is this closed but still blocking both FE-REVIEW and FE-NEEDSPONSOR?

It looks like this should block FE-DEADREVIEW instead; I'll make the change.


Note You need to log in before you can comment on or make changes to this bug.